---
applyTo: '**'
---

# General Coding Guidelines
- Variable names are allowed to be verbose, and should be descriptive.
- Unit tests are not necessary. Tests should instead be written as simple examples demonstrating the functionality of relevant functions.
- Always use 4 spaces for indentation.
- Function definitions should be typed as specifically as possible.

# Code Comment Guidelines
- Code comments should only be added for complex logic or unintuitive code that is not adequately explained by the function names themselves.
- Avoid comments that simply restate what the code does.
- When writing comments explaining some non-trivial logic, explain blocks of code rather than individual lines.
- Explain changes to the code in chat, not in comments.
